## ironic 20.1.3

=== debian/changelog ===
ironic (1:20.1.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - Fix_compatibility_with_jsonschema_4.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 07 Nov 2025 09:26:26 +0000

ironic (1:20.1.0-2) unstable; urgency=medium

  * Add Fix_compatibility_with_jsonschema_4.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jul 2022 20:55:13 +0200

ironic (1:20.1.0-1) unstable; urgency=medium

  * Fix min version of python3-proliantutils in (build-)depends.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:32:01 +0100

ironic (1:20.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of python3-sushy in (build-)depends.
  * Add autopkgtest.
  * Removed Fix_Mock_objects_as_specs.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 16:44:51 +0100

ironic (1:18.2.0-3) unstable; urgency=medium

  * Add Fix_Mock_objects_as_specs.patch (Closes: #1002407).
  * Blacklist 2 remaining failing tests, which I couldn't rebase properly to
    Xena. It's ok because it's very likely only unit test brokeness, and
    Ironic is still working:
    - test_show_makes_datetimes
    - test__commit_raid_config_with_logical_drives

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 09:21:01 +0100

ironic (1:18.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix oslo-config-generator namespace list.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:12:38 +0200

ironic (1:18.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:06:58 +0200

ironic (1:18.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 09:38:57 +0200

=== debian/control ===
Source: ironic
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-amqplib,
 python3-automaton,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-ddt,
 python3-doc8,
 python3-dracclient,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glanceclient,
 python3-hacking,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 4.6.1),
 python3-iso8601,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-mysqldb,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 9.1.0),
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pil,
 python3-proliantutils (>= 2.13.0),
 python3-psutil,
 python3-psycopg2,
 python3-pycdlib,
 python3-pyghmi,
 python3-pygments,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-tenacity,
 python3-rfc3986,
 python3-scciclient,
 python3-sphinxcontrib-pecanwsme <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-sushy (>= 3.10.0),
 python3-swiftclient,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-webtest,
Build-Conflicts:
 python-pysqlite2,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic.git
Homepage: https://github.com/openstack/ironic

Package: ironic-api
Architecture: all
Depends:
 adduser,
 debconf,
 ironic-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 ipmitool,
 python3-ironic (= ${binary:Version}),
 sqlite3,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool,
 ipxe,
 ironic-common (= ${binary:Version}),
 open-iscsi,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 xinetd,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

Package: python3-ironic
Architecture: all
Section: python
Depends:
 alembic,
 python3-amqplib,
 python3-automaton,
 python3-cinderclient,
 python3-dracclient,
 python3-eventlet,
 python3-futurist,
 python3-glanceclient,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 4.6.1),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-openstacksdk,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 9.1.0),
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-proliantutils (>= 2.13.0),
 python3-psutil,
 python3-psycopg2,
 python3-pycdlib,
 python3-pyghmi,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-tenacity,
 python3-rfc3986,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sushy (>= 3.10.0),
 python3-swiftclient,
 python3-tooz,
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Recommends:
 python3-scciclient,
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst
	pkgos-merge-templates ironic-api ironic endpoint
	pkgos-merge-templates ironic-common ironic db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

# Disabled:
# - ironic.tests.unit.common.test_glance_service.TestGlanceImageService.test_show_makes_datetimes
# - ironic.tests.unit.drivers.modules.irmc.test_raid.IRMCRaidConfigurationInternalMethodsTestCase.test__commit_raid_config_with_logical_drives
# because I couldn't rebase https://review.opendev.org/c/openstack/ironic/+/821370
# correctly. As it's likely only a test code issue, and Ironic otherwise works, let's ignore it
# for the moment until we upgrade with the above patch.
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*|.*common\.test_glance_service\.TestGlanceImageService\.test_show_makes_datetimes.*|.*drivers\.modules\.irmc\.test_raid\.IRMCRaidConfigurationInternalMethodsTestCase\.test__commit_raid_config_with_logical_drives.*))'
endif

	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf \
		--wrap-width 140 \
		--namespace ironic \
		--namespace ironic_lib.disk_utils \
		--namespace ironic_lib.disk_partitioner \
		--namespace ironic_lib.exception \
		--namespace ironic_lib.exception \
		--namespace ironic_lib.json_rpc \
		--namespace ironic_lib.mdns \
		--namespace ironic_lib.metrics \
		--namespace ironic_lib.metrics_statsd \
		--namespace ironic_lib.utils \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.concurrency \
		--namespace oslo.policy \
		--namespace oslo.log \
		--namespace oslo.reports \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace osprofiler \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf keystone_authtoken ironic
	# We're using python3, the default isn't good, it's using py2.
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT pybasedir /usr/lib/python3/site-packages/ironic

	# Fix the default httpboot path, some of it is in the postinst
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf deploy http_root /var/lib/ironic/httpboot

	# Set some nice defaults
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_boot_interfaces pxe
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_deploy_interfaces iscsi,direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_deploy_interface direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_inspect_interfaces inspector
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_network_interface neutron
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_concurrency lock_path /var/lock/ironic
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe tftp_root /srv/tftp
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe ipxe_enabled true

	mkdir -p $(CURDIR)/debian/ironic-common/etc/ironic/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-common/etc/ironic/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace ironic.api

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/ironic-common/etc/ironic/policy.d/00_default_policy.yaml


	# Fixed using /etc/ironic/policy.d
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_policy policy_dirs /etc/ironic/policy.d

	sed -i 's|#connection=<None>|connection=sqlite:////var/lib/ironic/ironicdb|' $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx -a -b html doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static/toggle.js
	#rm $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/search.html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ironic 21.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
alembic>=1.4.2 # MIT
automaton>=1.9.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
WebOb>=1.7.1 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
keystoneauth1>=4.2.0 # Apache-2.0
ironic-lib>=4.6.1 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
stevedore>=1.29.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=9.1.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
osprofiler>=1.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycdlib>=1.11.0 # LGPLv2
requests>=2.18.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
Jinja2>=3.0.0 # BSD License (3 clause)
keystonemiddleware>=9.5.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
tenacity>=6.2.0  # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
jsonschema>=3.2.0 # MIT
psutil>=3.2.2 # BSD
futurist>=1.2.0 # Apache-2.0
tooz>=2.7.0 # Apache-2.0
openstacksdk>=0.48.0 # Apache-2.0
sushy>=4.3.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
ironic (1:21.1.0-3) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 13:48:42 +0200

ironic (1:21.1.0-2) unstable; urgency=medium

  * Add py3.11_fix_unit_tests.patch (Closes: #1024783).

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 14:02:25 +0100

ironic (1:21.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Min version of python3-sushy is 4.3.0.
  * Drop Fix_compatibility_with_oslo.db_12.1.0.patch.
  * Blacklist PXEAnacondaDeployTestCase.test_reboot_to_instance().

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:35:29 +0200

ironic (1:21.0.0-3) experimental; urgency=medium

  * Fix namespace list when generating the config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 13:16:25 +0200

ironic (1:21.0.0-2) experimental; urgency=medium

  * Add Fix_compatibility_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 14:35:23 +0200

ironic (1:21.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_compatibility_with_jsonschema_4.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 21:28:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -32,11 +32,11 @@
  python3-ironic-inspector-client,
  python3-ironic-lib (>= 4.6.1),
  python3-iso8601,
- python3-jinja2,
+ python3-jinja2 (>= 3.0.0),
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware,
+ python3-keystonemiddleware (>= 9.5.0),
  python3-mysqldb,
  python3-openstackdocstheme <!nodoc>,
  python3-openstacksdk,
@@ -72,7 +72,7 @@
  python3-requests,
  python3-tenacity,
  python3-rfc3986,
- python3-scciclient,
+ python3-scciclient (>= 0.12.2),
  python3-sphinxcontrib-pecanwsme <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-sphinxcontrib.seqdiag <!nodoc>,
@@ -80,7 +80,7 @@
  python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
- python3-sushy (>= 3.10.0),
+ python3-sushy (>= 4.3.0),
  python3-swiftclient,
  python3-testtools,
  python3-tooz,
@@ -200,11 +200,11 @@
  python3-glanceclient,
  python3-ironic-inspector-client,
  python3-ironic-lib (>= 4.6.1),
- python3-jinja2,
+ python3-jinja2 (>= 3.0.0),
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware,
+ python3-keystonemiddleware (>= 9.5.0),
  python3-openstacksdk,
  python3-os-traits,
  python3-oslo.concurrency,
@@ -236,7 +236,7 @@
  python3-rfc3986,
  python3-sqlalchemy,
  python3-stevedore,
- python3-sushy (>= 3.10.0),
+ python3-sushy (>= 4.3.0),
  python3-swiftclient,
  python3-tooz,
  python3-tz,
@@ -246,7 +246,7 @@
 Conflicts:
  python3-cjson,
 Recommends:
- python3-scciclient,
+ python3-scciclient (>= 0.12.2),
 Description: bare metal hypervisor API for OpenStack - Python lib
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor

=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,11 @@
 # because I couldn't rebase https://review.opendev.org/c/openstack/ironic/+/821370
 # correctly. As it's likely only a test code issue, and Ironic otherwise works, let's ignore it
 # for the moment until we upgrade with the above patch.
+# - ironic.tests.unit.drivers.modules.test_pxe.PXEAnacondaDeployTestCase.test_reboot_to_instance
+# Try to access to /etc/dnsmasq.d/hostsdir.d/ironic-52:54:00:cf:2d:31.conf which apparently doesn't exist.
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*|.*common\.test_glance_service\.TestGlanceImageService\.test_show_makes_datetimes.*|.*drivers\.modules\.irmc\.test_raid\.IRMCRaidConfigurationInternalMethodsTestCase\.test__commit_raid_config_with_logical_drives.*))'
+	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*|.*common\.test_glance_service\.TestGlanceImageService\.test_show_makes_datetimes.*|.*drivers\.modules\.irmc\.test_raid\.IRMCRaidConfigurationInternalMethodsTestCase\.test__commit_raid_config_with_logical_drives.*|.*drivers\.modules\.test_pxe\.PXEAnacondaDeployTestCase\.test_reboot_to_instance.*))'
+
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common
@@ -48,7 +51,6 @@
 		--namespace ironic \
 		--namespace ironic_lib.disk_utils \
 		--namespace ironic_lib.disk_partitioner \
-		--namespace ironic_lib.exception \
 		--namespace ironic_lib.exception \
 		--namespace ironic_lib.json_rpc \
 		--namespace ironic_lib.mdns \
@@ -68,6 +70,7 @@
 		--namespace oslo.service.periodic_task \
 		--namespace oslo.service.sslutils \
 		--namespace osprofiler \
+		--namespace keystonemiddleware.audit \
 		--namespace keystonemiddleware.auth_token
 
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf keystone_authtoken ironic

## ironic 21.4.0

=== debian/changelog ===
ironic (1:21.4.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1046505).
  * Blacklist test_port_changed_client_id.*.
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:39:12 +0200

ironic (1:21.4.0-3) unstable; urgency=medium

  * Fix correct value for pybasedir (ie: dist-packages, not site-packages).
  * Add fix-initial_grub_cfg.template.patch.
  * Uploading to unstable.
  * Blacklist test_pxe_utils.TestPXEUtils.test_place_common_config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 12:33:38 +0200

ironic (1:21.4.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 16:36:50 +0200

ironic (1:21.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump python3-ironic-lib min version.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 09:11:31 +0100

ironic (1:21.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed py3.11_fix_unit_tests.patch applied upstream.
  * Switched to debhelper-compat = 11.
  * Removed --with systemd.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 09:38:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 123~),
  po-debconf,
@@ -30,13 +30,13 @@
  python3-glanceclient,
  python3-hacking,
  python3-ironic-inspector-client,
- python3-ironic-lib (>= 4.6.1),
+ python3-ironic-lib (>= 5.4.0),
  python3-iso8601,
- python3-jinja2 (>= 3.0.0),
+ python3-jinja2,
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware (>= 9.5.0),
+ python3-keystonemiddleware,
  python3-mysqldb,
  python3-openstackdocstheme <!nodoc>,
  python3-openstacksdk,
@@ -45,23 +45,23 @@
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 9.1.0),
+ python3-oslo.db,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.reports,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslotest,
  python3-osprofiler,
  python3-pecan,
  python3-pil,
- python3-proliantutils (>= 2.13.0),
+ python3-proliantutils,
  python3-psutil,
  python3-psycopg2,
  python3-pycdlib,
@@ -72,7 +72,7 @@
  python3-requests,
  python3-tenacity,
  python3-rfc3986,
- python3-scciclient (>= 0.12.2),
+ python3-scciclient,
  python3-sphinxcontrib-pecanwsme <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-sphinxcontrib.seqdiag <!nodoc>,
@@ -80,7 +80,7 @@
  python3-sqlalchemy,
  python3-stestr,
  python3-stevedore,
- python3-sushy (>= 4.3.0),
+ python3-sushy,
  python3-swiftclient,
  python3-testtools,
  python3-tooz,
@@ -106,7 +106,6 @@
  q-text-as-data,
  uwsgi-plugin-python3,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: bare metal hypervisor API for OpenStack - API server
  Ironic provision bare metal machines instead of virtual machines. It is a fork
@@ -129,7 +128,6 @@
  sqlite3,
  sudo,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: bare metal hypervisor API for OpenStack - common files
  Ironic provision bare metal machines instead of virtual machines. It is a fork
@@ -153,7 +151,6 @@
  tftpd-hpa,
  xinetd,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Suggests:
  syslinux,
@@ -199,32 +196,32 @@
  python3-futurist,
  python3-glanceclient,
  python3-ironic-inspector-client,
- python3-ironic-lib (>= 4.6.1),
- python3-jinja2 (>= 3.0.0),
+ python3-ironic-lib (>= 5.4.0),
+ python3-jinja2,
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-keystonemiddleware (>= 9.5.0),
+ python3-keystonemiddleware,
  python3-openstacksdk,
  python3-os-traits,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 9.1.0),
+ python3-oslo.db,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-osprofiler,
  python3-pbr,
  python3-pecan,
- python3-proliantutils (>= 2.13.0),
+ python3-proliantutils,
  python3-psutil,
  python3-psycopg2,
  python3-pycdlib,
@@ -236,7 +233,7 @@
  python3-rfc3986,
  python3-sqlalchemy,
  python3-stevedore,
- python3-sushy (>= 4.3.0),
+ python3-sushy,
  python3-swiftclient,
  python3-tooz,
  python3-tz,

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,17 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config
-	rm -rf doc/build
+	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config debian/ironic-api.templates
+	rm -rf doc/build *.egg-info .stestr build
+	rm -rf doc/source/contributor/api doc/source/_static
 	rm -f debian/*.init debian/*.service debian/*.upstart
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
@@ -40,7 +44,7 @@
 # - ironic.tests.unit.drivers.modules.test_pxe.PXEAnacondaDeployTestCase.test_reboot_to_instance
 # Try to access to /etc/dnsmasq.d/hostsdir.d/ironic-52:54:00:cf:2d:31.conf which apparently doesn't exist.
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*|.*common\.test_glance_service\.TestGlanceImageService\.test_show_makes_datetimes.*|.*drivers\.modules\.irmc\.test_raid\.IRMCRaidConfigurationInternalMethodsTestCase\.test__commit_raid_config_with_logical_drives.*|.*drivers\.modules\.test_pxe\.PXEAnacondaDeployTestCase\.test_reboot_to_instance.*))'
+	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*|.*common\.test_glance_service\.TestGlanceImageService\.test_show_makes_datetimes.*|.*drivers\.modules\.irmc\.test_raid\.IRMCRaidConfigurationInternalMethodsTestCase\.test__commit_raid_config_with_logical_drives.*|.*drivers\.modules\.test_pxe\.PXEAnacondaDeployTestCase\.test_reboot_to_instance.*|.*common\.test_pxe_utils\.TestPXEUtils\.test_place_common_config.*|.*drivers\.modules\.network\.test_common\.TestNeutronVifPortIDMixin\.test_port_changed_client_id.*))'
 
 endif
 
@@ -75,7 +79,7 @@
 
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf keystone_authtoken ironic
 	# We're using python3, the default isn't good, it's using py2.
-	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT pybasedir /usr/lib/python3/site-packages/ironic
+	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/ironic
 
 	# Fix the default httpboot path, some of it is in the postinst
 #	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf deploy http_root /var/lib/ironic/httpboot

## ironic 21.4.4

=== debian/changelog ===
ironic (1:21.4.4-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Add qemu-utils as build-depends.
  * CVE-2025-44021: Ironic fails to restrict paths used for file:// image URLs.
    Add upstream patch: OSSA-2025-001_Disallow+unsafe_image_file_paths.patch.
    (Closes: #1104964).

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Mon, 12 May 2025 08:09:29 +0000

=== debian/control ===
--- 
+++ 
@@ -87,6 +87,7 @@
  python3-tz,
  python3-webob,
  python3-webtest,
+ qemu-utils,
 Build-Conflicts:
  python-pysqlite2,
 Standards-Version: 4.4.1

## ironic 23.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,15 +6,15 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr>=3.1.1 # Apache-2.0
-SQLAlchemy>=1.2.19 # MIT
+SQLAlchemy>=1.4.0 # MIT
 alembic>=1.4.2 # MIT
 automaton>=1.9.0 # Apache-2.0
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet>=0.30.1 # MIT
 WebOb>=1.7.1 # MIT
 python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 keystoneauth1>=4.2.0 # Apache-2.0
-ironic-lib>=4.6.1 # Apache-2.0
+ironic-lib>=5.5.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 stevedore>=1.29.0 # Apache-2.0
@@ -39,8 +39,8 @@
 jsonpatch!=1.20,>=1.16 # BSD
 Jinja2>=3.0.0 # BSD License (3 clause)
 keystonemiddleware>=9.5.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
-tenacity>=6.2.0  # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
+tenacity>=6.3.1  # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 jsonschema>=3.2.0 # MIT
 psutil>=3.2.2 # BSD

=== debian/changelog ===
ironic (1:23.0.0-0ubuntu3~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 11 Oct 2023 22:11:27 +0000

ironic (1:23.0.0-0ubuntu3) mantic; urgency=medium

  * d/control: Revert back to python3-pysnmp4 (Build-)Depends
    to prevent dependency conflicts in Mantic (LP: #2039055).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Oct 2023 09:44:41 -0400

ironic (1:23.0.0-0ubuntu2) mantic; urgency=medium

  * d/control: BD on latest python3-scciclient to fix autopkgtest failures.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Oct 2023 14:10:34 -0400

ironic (1:23.0.0-0ubuntu1) mantic; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 10:27:14 -0400

ironic (1:22.1.0+git2023090714.985c7fdf-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    ironic/db/sqlalchemy/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:20:03 -0400

ironic (1:22.0.0+git2023071214.416ea871-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:23:50 -0400

ironic (1:22.0.0+git2023061415.ce1abd40-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/p/CVE-2023-2088.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:02:38 -0400

ironic (1:21.4.0-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Fix Cinder Integration
      fallout from CVE-2023-2088
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 14:42:54 -0400

ironic (1:21.4.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 08:52:23 -0400

ironic (1:21.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Feb 2023 16:50:39 -0500

ironic (1:21.2.0+git2023011311.895ba325-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test-py310.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jan 2023 11:11:54 -0500

ironic (1:21.1.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x.
  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:53:09 -0400

ironic (1:21.0.0+git2022091212.a171e588f-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:53:32 -0400

ironic (1:20.2.0+git2022071414.0c4401cfb-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/ironic-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:07:21 -0400

ironic (1:20.2.0+git2022060209.34afea3af-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:53:55 -0400

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.9.6),
 crudini,
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.2.1),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 5.5.0),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-mock (>= 3.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.48.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pycdlib (>= 1.11.0),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp4,
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.3.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.5.0),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
Homepage: https://opendev.org/openstack/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 5.5.0),
 python3-jinja2 (>= 3.0.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.48.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 9.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pycdlib (>= 1.11.0),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-pysnmp4,
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 1.2.0),
 python3-scciclient (>= 0.15.0-0ubuntu2~),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.29.0),
 python3-sushy (>= 4.3.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.9.3),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.
